Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTPackExpansionExpression

All Superinterfaces:
  `IASTExpression`, `IASTImplicitDestructorNameOwner`, `IASTInitializerClause`, `IASTNode`, `ICPPASTExpression`, `ICPPASTInitializerClause`

public interface ICPPASTPackExpansionExpression extends ICPPASTExpression
Pack expansion as it can occur as an element in an expression-lists or as a non-type template argument.

Since:
  5.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`PATTERN`
Represents the relationship between a pack-expansion and its pattern.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTExpression`
`getPattern()`
Returns the pattern of the pack expansion.
`void`
`setPattern(IASTExpression left)`
Sets the pattern of the pack expansion expression.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`copy, copy, getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`getImplicitDestructorNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTInitializerClause

`getEvaluation`

## Field Details

### PATTERN

static final ASTNodeProperty PATTERN
Represents the relationship between a pack-expansion and its pattern.

## Method Details

### getPattern

IASTExpression getPattern()
Returns the pattern of the pack expansion.

### setPattern

void setPattern(IASTExpression left)
Sets the pattern of the pack expansion expression. Cannot be called on frozen ast.